//
//  AZFileManager.h
//  Run BPM
//
//  Created by Paolo Rossignoli on 18/11/13.
//  Copyright (c) 2013 Paolo Rossignoli. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface AZFileManager : NSObject

+ (AZFileManager*)sharedManager;
+ (NSString *)documentsDirectory;
+ (NSString*) cachesDirectory;
+ (BOOL) fileExistsInDocumentsDirectory:(NSString *)fileName;
+ (void) deleteAllFilesInCache;
+ (void) deleteAllFilesInDocumentDirectory;
+ (void) deleteFileInDocumentDirectory:(NSString*)fileName;
+ (void) deleteFile:(NSString*)fileName;


@end
