//
//  AZScreenManager.m
//  123Calcolo
//
//  Created by Paolo Rossignoli on 13/12/13.
//  Copyright (c) 2013 Paolo Rossignoli. All rights reserved.
//

#import "AZScreenManager.h"

//Definisco le principali variabili
#define SCREEN_BOUNDS       [UIScreen mainScreen].bounds
#define SCREEN_APP          [UIScreen mainScreen].applicationFrame

@implementation AZScreenManager

+ (CGRect)screenBoundsDependOnOrientation
{
    CGRect screenBounds = [UIScreen mainScreen].bounds ;
    CGFloat width = CGRectGetWidth(screenBounds)  ;
    CGFloat height = CGRectGetHeight(screenBounds) ;
    UIInterfaceOrientation interfaceOrientation = [UIApplication sharedApplication].statusBarOrientation;
    
    if(UIInterfaceOrientationIsPortrait(interfaceOrientation)){
        screenBounds.size = CGSizeMake(width, height);
    }else if(UIInterfaceOrientationIsLandscape(interfaceOrientation)){
        screenBounds.size = CGSizeMake(height, width);
    }
    return screenBounds ;
}

+ (CGSize)screenSizeDependOnOrientation {
    
    CGSize size = [AZScreenManager screenBoundsDependOnOrientation].size;
    return size;
}

@end
