//
//  AZViewController.m
//  BassBPM
//
//  Created by Paolo Rossignoli on 28/12/13.
//  Copyright (c) 2013 Paolo Rossignoli. All rights reserved.
//

#import "AZViewController.h"
#import "AZBpmFinder.h"


@interface AZViewController () <AZBpmFinderDelegate> { //, MPMediaPickerControllerDelegate
    
}



@property (strong, nonatomic) AZBpmFinder *bpmFinder;

@end

#define SONG_NAME3  @"barn-beat-01"         //Correct: 120bpm    -- RESULTS 121bpm -- GOOD


@implementation AZViewController

- (void)viewDidLoad
{
    
    _bpmFinder = [[AZBpmFinder alloc] init];
    [_bpmFinder setDelegate:self];
    
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    /*
    MPMediaPickerController *mediaPicker = [[MPMediaPickerController alloc] initWithMediaTypes: MPMediaTypeMusic];
    mediaPicker.delegate = self;
    */
}
/*
- (void) mediaPicker: (MPMediaPickerController *) mediaPicker didPickMediaItems: (MPMediaItemCollection *) collection {
    
    
    MPMediaItem *item = [[collection items] objectAtIndex:0];
    NSURL *url = [item valueForProperty:MPMediaItemPropertyAssetURL];
    
    //[_bpmFinder getSongFromMusicLibrary:collection];
    
}

- (IBAction)openLibray:(id)sender{
    MPMediaPickerController *mediaPicker = [[MPMediaPickerController alloc] initWithMediaTypes: MPMediaTypeMusic];
    mediaPicker.delegate = self;
    
    [self presentViewController:mediaPicker animated:YES completion:nil];
}
 */

- (IBAction)startAnalisys:(id)sender{
    
    [self.songBPM setText:@""];
    [self.songName setText:SONG_NAME3];
    [self.progress setProgress:0];
    [self.songPercentAnalized setText:@""];
    
     [self.startAnalisysButton setTitle:@"Stop" forState:UIControlStateNormal];
    
    [_bpmFinder getBpmFromSong:SONG_NAME3];
    
   
    
    //NSLog(@"Song4 01 Crush 115 bpm");
    //NSLog(@"Song5 01 Le Freak 121,6 bpm");
    
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

#pragma mark DELEGATE
- (void)beatsPerMinutes:(float)bpm{
    NSString *bmpString = [NSString stringWithFormat:@"%.f",bpm];
    [self.songBPM setText:bmpString];
    
    [self.startAnalisysButton setTitle:@"Start" forState:UIControlStateNormal];
}
- (void)totalAnalizedSong:(float)percent{
    NSString *percentString = [NSString stringWithFormat:@"%.f",percent*100];
    //NSLog(@"percentString %@",percentString);
    [_songPercentAnalized setText:percentString];
    [_progress setProgress:percent animated:NO];
    
}

@end
