//
//  AZBpmFinder.h
//  AubioTest
//
//  Created by Paolo Rossignoli on 14/01/14.
//  Copyright (c) 2014 Paolo Rossignoli. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AVFoundation/AVFoundation.h>
#import <MediaPlayer/MediaPlayer.h>

@protocol AZBpmFinderDelegate <NSObject>

@required
- (void)beatsPerMinutes:(float)bpm;
- (void)totalAnalizedSong:(float)percent;


@end


@interface AZBpmFinder : NSObject

@property (nonatomic, assign) id<AZBpmFinderDelegate>delegate;

- (void) getBpmFromSong:(NSString *)songTitle;


@end

